com.io7m.jcamera

## Class JCameraFPSStyleIntegrator

- java.lang.Object
- - com.io7m.jcamera.JCameraFPSStyleIntegrator

-     @EqualityReference
      public final class JCameraFPSStyleIntegrator
      extends Object

  Aggregation of the `JCameraFPSStyleAngularIntegratorType` and `JCameraFPSStyleLinearIntegratorType` types.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCameraFPSStyleIntegratorType` | `newIntegrator(JCameraFPSStyleType in_camera, JCameraFPSStyleInputType in_input)` Return a new integrator for the given camera and input using the default integrator implementations.
    `static JCameraFPSStyleIntegratorType` | `newIntegratorWith(JCameraFPSStyleAngularIntegratorType ai, JCameraFPSStyleLinearIntegratorType li)` Return a new integrator using the given integrator implementations.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newIntegrator

          public static JCameraFPSStyleIntegratorType newIntegrator(JCameraFPSStyleType in_camera,
                                                                    JCameraFPSStyleInputType in_input)

      Return a new integrator for the given camera and input using the default integrator implementations.
      Parameters:
        `in_camera` - The camera
        `in_input` - The input
      Returns:
        A new integrator

    - #### newIntegratorWith

          public static JCameraFPSStyleIntegratorType newIntegratorWith(JCameraFPSStyleAngularIntegratorType ai,
                                                                        JCameraFPSStyleLinearIntegratorType li)

      Return a new integrator using the given integrator implementations.
      Parameters:
        `ai` - The angular integrator
        `li` - The linera integrator
      Returns:
        A new integrator

Copyright © 2016 <code@io7m.com> http://io7m.com